Subject: Re: Kernel build: not recognizing 'tlbre' instruction

From: Matt Porter <[email-masked]>
Date: Fri, 7 Feb 2003 10:33:22 -0700

On Fri, Feb 07, 2003 at 08:23:43AM -0800, [email-masked] wrote:
> When I try to build this 'custom kernel', I get the following error:
>
> ...
> Unrecognized opcode: 'tlbre' in the file arch/ppc/kernel/misc.S

Your toolchain probably does not define -m405 and you must have a
kernel tree that does not have an arch/ppc/Makefile with the
following:

	ifdef CONFIG_4xx
	CFLAGS := $(CFLAGS) -Wa,-m405
	endif

> General question: Is there a way to get previous versions of
> linuxppc_2_4_devel kernels?

Do a "bk help" with the "clone" and "tag" args for an explanation on
how to clone a tree at a specific changeset or tag.

Regards,
--
Matt Porter
[email-masked]
This is Linux Country. On a quiet night, you can hear Windows reboot.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/